export default (() => {
  const n = globalThis;
  var e = {
    light: { background: "#FFFFFF", surface: "#FFFFFF" },
    dark: {},
    neutral: {
      luminance100: "#FFFFFF",
      luminance99: "#FDFCFB",
      luminance98: "#FAF9F9",
      luminance95: "#F2F2F2",
      luminance90: "#E3E3E3",
      luminance80: "#C7C7C7",
      luminance70: "#ABABAB",
      luminance60: "#8F8F8F",
      luminance50: "#757575",
      luminance40: "#5E5E5E",
      luminance35: "#525252",
      luminance30: "#474747",
      luminance25: "#3A3C3C",
      luminance20: "#303030",
      luminance10: "#1F1F1F",
      luminance0: "#000000",
    },
    neutralVariant: {
      luminance100: "#FFFFFF",
      luminance99: "#FAFDFB",
      luminance98: "#F8FAF8",
      luminance95: "#EFF2EF",
      luminance90: "#E1E3E1",
      luminance80: "#C4C7C5",
      luminance70: "#A9ACAA",
      luminance60: "#8E918F",
      luminance50: "#747775",
      luminance40: "#5C5F5E",
      luminance35: "#4F5351",
      luminance30: "#444746",
      luminance25: "#393C3B",
      luminance20: "#2D312F",
      luminance10: "#191D1C",
      luminance0: "#000000",
    },
    primary: {
      luminance100: "#FFFFFF",
      luminance99: "#FAFBFF",
      luminance98: "#F8F9FF",
      luminance95: "#ECF3FE",
      luminance90: "#D3E3FD",
      luminance80: "#A8C7FA",
      luminance70: "#7CACF8",
      luminance60: "#4C8DF6",
      luminance50: "#1B6EF3",
      luminance40: "#0B57D0",
      luminance35: "#155298",
      luminance30: "#0842A0",
      luminance25: "#003B77",
      luminance20: "#062E6F",
      luminance10: "#041E49",
      luminance0: "#000000",
    },
    secondary: {
      luminance100: "#FFFFFF",
      luminance99: "#F7FCFF",
      luminance98: "#E3FFF6",
      luminance95: "#DFF3FF",
      luminance90: "#C2E7FF",
      luminance80: "#7FCFFF",
      luminance70: "#5AB3F0",
      luminance60: "#3998D3",
      luminance50: "#047DB7",
      luminance40: "#00639B",
      luminance35: "#005E4E",
      luminance30: "#004A77",
      luminance25: "#004438",
      luminance20: "#003355",
      luminance10: "#001D35",
      luminance0: "#000000",
    },
    tertiary: {
      luminance100: "#FFFFFF",
      luminance99: "#F2FFEE",
      luminance98: "#E8FFE7",
      luminance95: "#E7F8ED",
      luminance90: "#C4EED0",
      luminance80: "#6DD58C",
      luminance70: "#37BE5F",
      luminance60: "#1EA446",
      luminance50: "#198639",
      luminance40: "#146C2E",
      luminance35: "#006024",
      luminance30: "#0F5223",
      luminance25: "#004618",
      luminance20: "#0A3818",
      luminance10: "#072711",
      luminance0: "#000000",
    },
    error: {
      luminance100: "#FFFFFF",
      luminance99: "#FFFBF9",
      luminance98: "#FFF8F6",
      luminance95: "#FCEEEE",
      luminance90: "#F9DEDC",
      luminance80: "#F2B8B5",
      luminance70: "#EC928E",
      luminance60: "#E46962",
      luminance50: "#DC362E",
      luminance40: "#B3261E",
      luminance35: "#833D3B",
      luminance30: "#8C1D18",
      luminance25: "#662726",
      luminance20: "#601410",
      luminance10: "#410E0B",
      luminance0: "#000000",
    },
    styles: {
      display1: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 64,
        lineHeight: 76,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      display2: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 57,
        lineHeight: 64,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      display3: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 45,
        lineHeight: 52,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      headline1: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 36,
        lineHeight: 44,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      headline2: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 32,
        lineHeight: 40,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      headline3: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 28,
        lineHeight: 36,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      headline4: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 24,
        lineHeight: 32,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      headline5: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 22,
        lineHeight: 28,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      headline6: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 18,
        lineHeight: 24,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      subhead1: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Medium",
        fontSize: 16,
        lineHeight: 24,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      subhead2: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Medium",
        fontSize: 14,
        lineHeight: 20,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      button: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Medium",
        fontSize: 14,
        lineHeight: 20,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      body1: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 16,
        lineHeight: 24,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      body2: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 14,
        lineHeight: 20,
        letterSpacing: 0,
        paragraphSpacing: 0,
      },
      caption: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Regular",
        fontSize: 12,
        lineHeight: 16,
        letterSpacing: 0.1,
        paragraphSpacing: 0,
      },
      overline: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Medium",
        fontSize: 12,
        lineHeight: 16,
        letterSpacing: 0.1,
        paragraphSpacing: 0,
      },
      labelSmall: {
        fontFamilyName: "Google Sans Text",
        fontFamilyStyle: "Medium",
        fontSize: 11,
        lineHeight: 16,
        letterSpacing: 0.1,
        paragraphSpacing: 0,
      },
    },
  };
  const t = {
      light: {},
      dark: {},
      neutral: {
        luminance100: "#FFFFFF",
        luminance99: "#FFFBFE",
        luminance98: "#FDF8FC",
        luminance95: "#F4EFF4",
        luminance90: "#E6E1E5",
        luminance80: "#C9C5CA",
        luminance70: "#AEAAAE",
        luminance60: "#939094",
        luminance50: "#787579",
        luminance40: "#605D62",
        luminance35: "#545255",
        luminance30: "#484649",
        luminance25: "#3D3B3E",
        luminance20: "#313033",
        luminance10: "#1C1B1F",
        luminance0: "#000000",
      },
      neutralVariant: {
        luminance100: "#FFFFFF",
        luminance99: "#FFFBFE",
        luminance98: "#FEF7FF",
        luminance95: "#F5EEFA",
        luminance90: "#E7E0EC",
        luminance80: "#CAC4D0",
        luminance70: "#AEA9B4",
        luminance60: "#938F99",
        luminance50: "#79747E",
        luminance40: "#605D66",
        luminance35: "#54515A",
        luminance30: "#49454F",
        luminance25: "#3D3A43",
        luminance20: "#322F37",
        luminance10: "#1D1A22",
        luminance0: "#000000",
      },
      primary: {
        luminance100: "#FFFFFF",
        luminance99: "#FFFBFE",
        luminance98: "#FEF7FF",
        luminance95: "#F6EDFF",
        luminance90: "#EADDFF",
        luminance80: "#D0BCFF",
        luminance70: "#B69DF8",
        luminance60: "#9A82DB",
        luminance50: "#7F67BE",
        luminance40: "#6750A4",
        luminance35: "#5B4497",
        luminance30: "#4F378B",
        luminance25: "#432B7E",
        luminance20: "#381E72",
        luminance10: "#21005D",
        luminance0: "#000000",
      },
      secondary: {
        luminance100: "#FFFFFF",
        luminance99: "#FFFBFE",
        luminance98: "#FEF7FF",
        luminance95: "#F6EDFF",
        luminance90: "#E8DEF8",
        luminance80: "#CCC2DC",
        luminance70: "#B0A7C0",
        luminance60: "#958DA5",
        luminance50: "#7A7289",
        luminance40: "#625B71",
        luminance35: "#564F65",
        luminance30: "#4A4458",
        luminance25: "#3E384D",
        luminance20: "#332D41",
        luminance10: "#1D192B",
        luminance0: "#000000",
      },
      tertiary: {
        luminance100: "#FFFFFF",
        luminance99: "#FFFBFA",
        luminance98: "#FFF8F9",
        luminance95: "#FFECF1",
        luminance90: "#FFD8E4",
        luminance80: "#EFB8C8",
        luminance70: "#D29DAC",
        luminance60: "#B58392",
        luminance50: "#986977",
        luminance40: "#7D5260",
        luminance35: "#704653",
        luminance30: "#633B48",
        luminance25: "#57303D",
        luminance20: "#492532",
        luminance10: "#31111D",
        luminance0: "#000000",
      },
      error: {
        luminance100: "#FFFFFF",
        luminance99: "#FFFBF9",
        luminance98: "#FFF8F6",
        luminance95: "#FCEEEE",
        luminance90: "#F9DEDC",
        luminance80: "#F2B8B5",
        luminance70: "#EC928E",
        luminance60: "#E46962",
        luminance50: "#DC362E",
        luminance40: "#B3261E",
        luminance35: "#833D3B",
        luminance30: "#8C1D18",
        luminance25: "#662726",
        luminance20: "#601410",
        luminance10: "#410E0B",
        luminance0: "#000000",
      },
      styles: {
        display1: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 64,
          lineHeight: 76,
          letterSpacing: -0.5,
          paragraphSpacing: 0,
        },
        display2: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 57,
          lineHeight: 64,
          letterSpacing: -0.25,
          paragraphSpacing: 0,
        },
        display3: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 45,
          lineHeight: 52,
          letterSpacing: 0,
          paragraphSpacing: 0,
        },
        headline1: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 36,
          lineHeight: 44,
          letterSpacing: 0,
          paragraphSpacing: 0,
        },
        headline2: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 32,
          lineHeight: 40,
          letterSpacing: 0,
          paragraphSpacing: 0,
        },
        headline3: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 28,
          lineHeight: 36,
          letterSpacing: 0,
          paragraphSpacing: 0,
        },
        headline4: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 24,
          lineHeight: 32,
          letterSpacing: 0,
          paragraphSpacing: 0,
        },
        headline5: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 22,
          lineHeight: 28,
          letterSpacing: 0,
          paragraphSpacing: 0,
        },
        headline6: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 18,
          lineHeight: 24,
          letterSpacing: 0,
          paragraphSpacing: 0,
        },
        subhead1: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Medium",
          fontSize: 16,
          lineHeight: 24,
          letterSpacing: 0.1,
          paragraphSpacing: 0,
        },
        subhead2: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Medium",
          fontSize: 14,
          lineHeight: 20,
          letterSpacing: 0.1,
          paragraphSpacing: 0,
        },
        button: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Medium",
          fontSize: 14,
          lineHeight: 20,
          letterSpacing: 0.1,
          paragraphSpacing: 0,
        },
        body1: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 16,
          lineHeight: 24,
          letterSpacing: 0.5,
          paragraphSpacing: 0,
        },
        body2: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 14,
          lineHeight: 20,
          letterSpacing: 0.25,
          paragraphSpacing: 0,
        },
        caption: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Regular",
          fontSize: 12,
          lineHeight: 16,
          letterSpacing: 0.4,
          paragraphSpacing: 0,
        },
        overline: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Medium",
          fontSize: 12,
          lineHeight: 16,
          letterSpacing: 0.5,
          paragraphSpacing: 0,
        },
        labelSmall: {
          fontFamilyName: "Roboto",
          fontFamilyStyle: "Medium",
          fontSize: 11,
          lineHeight: 16,
          letterSpacing: 0.5,
          paragraphSpacing: 0,
        },
      },
    },
    o = function (n, e, t) {
      return (null != t ? t : n.palettes).get(`${e}-40`);
    },
    l = function (n, e) {
      return (
        (null == n ? void 0 : n.toUpperCase()) ===
        (null == e ? void 0 : e.toUpperCase())
      );
    },
    i = function (n) {
      try {
        return x(n);
      } catch (n) {
        return "#000000";
      }
    },
    a = function (n, e, t) {
      var o;
      const l =
          null !== (o = n.props.overrides.tonalGroups) && void 0 !== o ? o : {},
        a = Object(l)[e];
      return (N.is1p && !n.props.isBaseline) || !a
        ? (function (n) {
            return {
              luminance100: i(n.tone(100)),
              luminance99: i(n.tone(99)),
              luminance98: i(n.tone(98)),
              luminance95: i(n.tone(95)),
              luminance90: i(n.tone(90)),
              luminance80: i(n.tone(80)),
              luminance70: i(n.tone(70)),
              luminance60: i(n.tone(60)),
              luminance50: i(n.tone(50)),
              luminance40: i(n.tone(40)),
              luminance35: i(n.tone(35)),
              luminance30: i(n.tone(30)),
              luminance25: i(n.tone(25)),
              luminance20: i(n.tone(20)),
              luminance10: i(n.tone(10)),
              luminance0: i(n.tone(0)),
            };
          })(t)
        : a;
    },
    r = function (n, e) {
      const t = new Map();
      return (
        t.set(`${n}-100`, e.luminance100),
        t.set(`${n}-99`, e.luminance99),
        t.set(`${n}-98`, e.luminance98),
        t.set(`${n}-95`, e.luminance95),
        t.set(`${n}-90`, e.luminance90),
        t.set(`${n}-80`, e.luminance80),
        t.set(`${n}-70`, e.luminance70),
        t.set(`${n}-60`, e.luminance60),
        t.set(`${n}-50`, e.luminance50),
        t.set(`${n}-40`, e.luminance40),
        t.set(`${n}-35`, e.luminance35),
        t.set(`${n}-30`, e.luminance30),
        t.set(`${n}-25`, e.luminance25),
        t.set(`${n}-20`, e.luminance20),
        t.set(`${n}-10`, e.luminance10),
        t.set(`${n}-0`, e.luminance0),
        t
      );
    },
    u = (n) => {
      const e = (n + 16) / 116,
        t = 24389 / 27,
        o = e * e * e > 216 / 24389;
      var l = [
        (o ? e * e * e : (116 * e - 16) / t) * E[0],
        (8 < n ? e * e * e : n / t) * E[1],
        (o ? e * e * e : (116 * e - 16) / t) * E[2],
      ];
      return d(l[0], l[1], l[2]);
    },
    c = class {
      constructor(n, e) {
        (this.hue = n), (this.chroma = e), (this.cache = new Map());
      }
      tone(n) {
        let e = this.cache.get(n);
        return (
          void 0 === e &&
            ((e = new S(this.hue, this.chroma, n).toInt()),
            this.cache.set(n, e)),
          e
        );
      }
    },
    s = (n) =>
      0.0031308 >= n ? 12.92 * n : 1.055 * Math.pow(n, 1 / 2.4) - 0.055,
    m = (n) =>
      (-16777216 |
        ((255 & n[0]) << 16) |
        ((255 & n[1]) << 8) |
        (255 & n[2])) >>>
      0,
    d = (n, e, t) => (
      (n /= 100),
      (e /= 100),
      (t /= 100),
      m([
        Math.round(v(255, 255 * s(3.2406 * n + -1.5372 * e + -0.4986 * t))),
        Math.round(v(255, 255 * s(-0.9689 * n + 1.8758 * e + 0.0415 * t))),
        Math.round(v(255, 255 * s(0.0557 * n + -0.204 * e + 1.057 * t))),
      ])
    ),
    g = function (n, e, t) {
      const o = (t * Math.PI) / 180,
        l = (1 / 0.0228) * Math.log(1 + 0.0228 * e * M.fLRoot);
      return new b(
        t,
        e,
        n,
        (4 / M.c) * Math.sqrt(n / 100) * (M.aw + 4) * M.fLRoot,
        50 * Math.sqrt(((e / Math.sqrt(n / 100)) * M.c) / (M.aw + 4)),
        ((1 + 100 * 0.007) * n) / (1 + 0.007 * n),
        l * Math.cos(o),
        l * Math.sin(o)
      );
    },
    h = function (n) {
      const e = Math.pow(
          (0 === n.chroma || 0 === n.j ? 0 : n.chroma / Math.sqrt(n.j / 100)) /
            Math.pow(1.64 - Math.pow(0.29, M.n), 0.73),
          1 / 0.9
        ),
        t = (n.hue * Math.PI) / 180,
        o = (M.aw * Math.pow(n.j / 100, 1 / M.c / M.z)) / M.nbb,
        l = Math.sin(t),
        i = Math.cos(t),
        a =
          (23 * (o + 0.305) * e) /
          ((5e4 / 13) * (Math.cos(t + 2) + 3.8) * 5.75 * M.nc * M.ncb +
            11 * e * i +
            108 * e * l),
        r = a * i,
        u = a * l,
        c = (460 * o + 451 * r + 288 * u) / 1403,
        s = (460 * o - 891 * r - 261 * u) / 1403,
        m = (460 * o - 220 * r - 6300 * u) / 1403,
        g =
          ((100 / M.fl) *
            C(c) *
            Math.pow(
              Math.max(0, (27.13 * Math.abs(c)) / (400 - Math.abs(c))),
              1 / 0.42
            )) /
          M.rgbD[0],
        h =
          ((100 / M.fl) *
            C(s) *
            Math.pow(
              Math.max(0, (27.13 * Math.abs(s)) / (400 - Math.abs(s))),
              1 / 0.42
            )) /
          M.rgbD[1],
        v =
          ((100 / M.fl) *
            C(m) *
            Math.pow(
              Math.max(0, (27.13 * Math.abs(m)) / (400 - Math.abs(m))),
              1 / 0.42
            )) /
          M.rgbD[2];
      return d(
        1.86206786 * g - 1.01125463 * h + 0.14918677 * v,
        0.38752654 * g + 0.62144744 * h - 0.00897398 * v,
        -0.0158415 * g - 0.03412294 * h + 1.04996444 * v
      );
    },
    v = function (n, e) {
      return Math.min(Math.max(e, 0), n);
    },
    p = function (n) {
      return 0 > n ? (n % 360) + 360 : 360 <= n ? n % 360 : n;
    },
    f = function (n, e, t) {
      if (1 > e || 0 >= Math.round(t) || 100 <= Math.round(t)) return u(t);
      n = p(n);
      let o = e,
        l = e,
        i = 0,
        a = !0,
        r = null;
      for (; 0.4 <= Math.abs(i - o); ) {
        var c = n,
          s = l,
          m = t;
        let e,
          u = 0,
          d = 100,
          v = 1e3,
          p = 1e3,
          f = null;
        for (; 0.01 < Math.abs(u - d); ) {
          e = u + (d - u) / 2;
          const n = h(g(e, s, c)),
            t = y(n),
            o = Math.abs(m - t);
          if (0.2 > o) {
            const e = A(n),
              t = e.distance(g(e.j, e.chroma, c));
            1 >= t && t <= p && ((v = o), (p = t), (f = e));
          }
          if (0 === v && 0 === p) break;
          t < m ? (u = e) : (d = e);
        }
        const F = f;
        if (a) {
          if (null != F) return h(F);
          a = !1;
        } else null === F ? (o = l) : ((r = F), (i = l));
        l = i + (o - i) / 2;
      }
      return null === r ? u(t) : h(r);
    },
    F = function (n, e) {
      const t = A(e),
        o = y(e);
      (n.internalHue = t.hue),
        (n.internalChroma = t.chroma),
        (n.internalTone = o);
    },
    y = (n) => {
      let e =
        21.26 * w(((16711680 & n) >> 16) / 255) +
        71.52 * w(((65280 & n) >> 8) / 255) +
        7.22 * w((255 & n) / 255);
      return (
        (e /= 100),
        e <= 216 / 24389 ? (24389 / 27) * e : 116 * Math.pow(e, 1 / 3) - 16
      );
    },
    S = class {
      constructor(n, e, t) {
        (this.internalHue = n),
          (this.internalChroma = e),
          (this.internalTone = t),
          F(this, this.toInt());
      }
      toInt() {
        return f(
          p(this.internalHue),
          this.internalChroma,
          v(100, this.internalTone)
        );
      }
      get hue() {
        return this.internalHue;
      }
      set hue(n) {
        F(this, f(p(p(n)), this.internalChroma, v(100, this.internalTone)));
      }
      get chroma() {
        return this.internalChroma;
      }
      set chroma(n) {
        F(this, f(p(this.internalHue), n, v(100, this.internalTone)));
      }
      get tone() {
        return this.internalTone;
      }
      set tone(n) {
        F(this, f(p(this.internalHue), this.internalChroma, v(100, n)));
      }
    },
    b = class {
      constructor(n, e, t, o, l, i, a, r) {
        (this.hue = n),
          (this.chroma = e),
          (this.j = t),
          (this.q = o),
          (this.s = l),
          (this.jstar = i),
          (this.astar = a),
          (this.bstar = r);
      }
      distance(n) {
        const e = this.jstar - n.jstar,
          t = this.astar - n.astar,
          o = this.bstar - n.bstar;
        return 1.41 * Math.pow(Math.sqrt(e * e + t * t + o * o), 0.63);
      }
    },
    C = function (n) {
      return 0 > n ? -1 : 0 === n ? 0 : 1;
    },
    E = [95.047, 100, 108.883],
    M = (function (
      n = E,
      e = ((200 / Math.PI) * 100 * Math.pow(66 / 116, 3)) / 100,
      t = 50,
      o = 2,
      l = !1
    ) {
      const i = 0.401288 * n[0] + 0.650173 * n[1] + -0.051461 * n[2],
        a = -0.250268 * n[0] + 1.204414 * n[1] + 0.045854 * n[2],
        r = -0.002079 * n[0] + 0.048952 * n[1] + 0.953127 * n[2],
        u = 0.8 + o / 10;
      if (0.9 <= u)
        var c = 10 * (u - 0.9),
          s = 0.59 * (1 - c) + 0.69 * c;
      else {
        var m = 10 * (u - 0.8);
        s = 0.525 * (1 - m) + 0.59 * m;
      }
      let d = l ? 1 : u * (1 - (1 / 3.6) * Math.exp((-e - 42) / 92));
      d = 1 < d ? 1 : 0 > d ? 0 : d;
      const g = [
          (100 / i) * d + 1 - d,
          (100 / a) * d + 1 - d,
          (100 / r) * d + 1 - d,
        ],
        h = 1 / (5 * e + 1),
        v = h * h * h * h,
        p = 1 - v,
        f = v * e + 0.1 * p * p * Math.cbrt(5 * e),
        F =
          (8 < t
            ? 100 * Math.pow((t + 16) / 116, 3)
            : (t / (24389 / 27)) * 100) / n[1],
        y = 0.725 / Math.pow(F, 0.2),
        S = [
          Math.pow((f * g[0] * i) / 100, 0.42),
          Math.pow((f * g[1] * a) / 100, 0.42),
          Math.pow((f * g[2] * r) / 100, 0.42),
        ],
        b = [
          (400 * S[0]) / (S[0] + 27.13),
          (400 * S[1]) / (S[1] + 27.13),
          (400 * S[2]) / (S[2] + 27.13),
        ];
      return new (class {
        constructor(n, e, t, o, l, i, a, r, u, c) {
          (this.n = n),
            (this.aw = e),
            (this.nbb = t),
            (this.ncb = o),
            (this.c = l),
            (this.nc = i),
            (this.rgbD = a),
            (this.fl = r),
            (this.fLRoot = u),
            (this.z = c);
        }
      })(
        F,
        (2 * b[0] + b[1] + 0.05 * b[2]) * y,
        y,
        y,
        s,
        u,
        g,
        f,
        Math.pow(f, 0.25),
        1.48 + Math.sqrt(F)
      );
    })(),
    w = (n) => (0.04045 >= n ? n / 12.92 : Math.pow((n + 0.055) / 1.055, 2.4)),
    A = function (n) {
      const e = 100 * w(((16711680 & n) >> 16) / 255),
        t = 100 * w(((65280 & n) >> 8) / 255),
        o = 100 * w((255 & n) / 255),
        l = 0.41233895 * e + 0.35762064 * t + 0.18051042 * o,
        i = 0.2126 * e + 0.7152 * t + 0.0722 * o,
        a = 0.01932141 * e + 0.11916382 * t + 0.95034478 * o,
        r = M.rgbD[0] * (0.401288 * l + 0.650173 * i - 0.051461 * a),
        u = M.rgbD[1] * (-0.250268 * l + 1.204414 * i + 0.045854 * a),
        c = M.rgbD[2] * (-0.002079 * l + 0.048952 * i + 0.953127 * a),
        s = Math.pow((M.fl * Math.abs(r)) / 100, 0.42),
        m = Math.pow((M.fl * Math.abs(u)) / 100, 0.42),
        d = Math.pow((M.fl * Math.abs(c)) / 100, 0.42),
        g = (400 * C(r) * s) / (s + 27.13),
        h = (400 * C(u) * m) / (m + 27.13),
        v = (400 * C(c) * d) / (d + 27.13),
        p = (11 * g + -12 * h + v) / 11,
        f = (g + h - 2 * v) / 9,
        F = (180 * Math.atan2(f, p)) / Math.PI,
        y = 0 > F ? F + 360 : 360 <= F ? F - 360 : F,
        S = (y * Math.PI) / 180,
        E =
          100 *
          Math.pow((((40 * g + 20 * h + v) / 20) * M.nbb) / M.aw, M.c * M.z),
        A =
          Math.pow(
            ((5e4 / 13) *
              0.25 *
              (Math.cos(((20.14 > y ? y + 360 : y) * Math.PI) / 180 + 2) +
                3.8) *
              M.nc *
              M.ncb *
              Math.sqrt(p * p + f * f)) /
              ((20 * g + 20 * h + 21 * v) / 20 + 0.305),
            0.9
          ) * Math.pow(1.64 - Math.pow(0.29, M.n), 0.73),
        N = A * Math.sqrt(E / 100),
        B = (1 / 0.0228) * Math.log(1 + 0.0228 * N * M.fLRoot);
      return new b(
        y,
        N,
        E,
        (4 / M.c) * Math.sqrt(E / 100) * (M.aw + 4) * M.fLRoot,
        50 * Math.sqrt((A * M.c) / (M.aw + 4)),
        ((1 + 100 * 0.007) * E) / (1 + 0.007 * E),
        B * Math.cos(S),
        B * Math.sin(S)
      );
    };
  const N = new (class {
      get internal() {
        return !1;
      }
      get is3p() {
        return !this.internal;
      }
      get is1p() {
        return this.internal;
      }
      get enableDsp() {
        return !this.is1p;
      }
      get enableAndroid() {
        return this.is1p;
      }
      get enableWebExport() {
        return this.is3p;
      }
      get enableExtendedColors() {
        return !0;
      }
      get enableColorShift() {
        return this.is1p;
      }
    })(),
    B =
      (N.enableDsp,
      N.enableAndroid,
      N.enableWebExport,
      N.enableColorShift,
      function (n) {
        var u = N.is3p;
        const s = new (class {
          constructor(n) {
            const e = (function (n) {
                const e = A(n);
                return new S(e.hue, e.chroma, y(n));
              })(n),
              t = e.hue;
            (this.a1 = new c(t, Math.max(48, e.chroma))),
              (this.a2 = new c(t, 16)),
              (this.a3 = new c(t + 60, 24)),
              (this.n1 = new c(t, 4)),
              (this.n2 = new c(t, 8)),
              (this.error = new c(25, 84));
          }
        })(
          ((n) => {
            const e = 3 === (n = n.replace("#", "")).length,
              t = 6 === n.length,
              o = 8 === n.length;
            if (!e && !t && !o) throw Error("unexpected hex " + n);
            let l = 0,
              i = 0,
              a = 0;
            return (
              e
                ? ((l = parseInt(n.slice(0, 1).repeat(2), 16)),
                  (i = parseInt(n.slice(1, 2).repeat(2), 16)),
                  (a = parseInt(n.slice(2, 3).repeat(2), 16)))
                : t
                ? ((l = parseInt(n.slice(0, 2), 16)),
                  (i = parseInt(n.slice(2, 4), 16)),
                  (a = parseInt(n.slice(4, 6), 16)))
                : o &&
                  ((l = parseInt(n.slice(2, 4), 16)),
                  (i = parseInt(n.slice(4, 6), 16)),
                  (a = parseInt(n.slice(6, 8), 16))),
              (-16777216 | ((255 & l) << 16) | ((255 & i) << 8) | (255 & a)) >>>
                0
            );
          })(n)
        );
        return new (class extends class {
          constructor(n) {
            this.props = n;
          }
          get isBaseline() {
            return (function (n) {
              let o = !0;
              const i = (function (n) {
                  var e, t;
                  return (
                    "Roboto" ===
                    (null ===
                      (t =
                        null === (e = null == n ? void 0 : n.styles) ||
                        void 0 === e
                          ? void 0
                          : e.headline1) || void 0 === t
                      ? void 0
                      : t.fontFamilyName)
                  );
                })(n)
                  ? t
                  : e,
                a = (n, e, t) => {
                  if (o) {
                    let n;
                    (n = l(e.luminance0, t.luminance0)) &&
                      (n = l(e.luminance10, t.luminance10)),
                      n && (n = l(e.luminance20, t.luminance20)),
                      n && (n = l(e.luminance30, t.luminance30)),
                      n && (n = l(e.luminance40, t.luminance40)),
                      n && (n = l(e.luminance50, t.luminance50)),
                      n && (n = l(e.luminance60, t.luminance60)),
                      n && (n = l(e.luminance70, t.luminance70)),
                      n && (n = l(e.luminance80, t.luminance80)),
                      n && (n = l(e.luminance90, t.luminance90)),
                      n && (n = l(e.luminance95, t.luminance95)),
                      n && (n = l(e.luminance98, t.luminance98)),
                      n && (n = l(e.luminance100, t.luminance100)),
                      (o = n);
                  }
                };
              return (
                a(0, n.primary, i.primary),
                a(0, n.secondary, i.secondary),
                a(0, n.tertiary, i.tertiary),
                a(0, n.neutral, i.neutral),
                a(0, n.neutralVariant, i.neutralVariant),
                a(0, n.error, i.error),
                o
              );
            })(this.save());
          }
          get is3p() {
            return this.props.is3p;
          }
          get styles() {
            return this.props.is3p ? t.styles : e.styles;
          }
          get imageUrl() {
            return this.props.imageUrl;
          }
          get light() {
            var n, o, l;
            const i = this.props.isBaseline
              ? null === (n = N.is1p ? e : t) || void 0 === n
                ? void 0
                : n.light
              : null !==
                  (l =
                    null === (o = this.props.overrides) || void 0 === o
                      ? void 0
                      : o.light) && void 0 !== l
              ? l
              : {};
            var a,
              r,
              u,
              c,
              s,
              m,
              d,
              g,
              h,
              v,
              p,
              f,
              F,
              y,
              S,
              b,
              C,
              E,
              M,
              w,
              A,
              B,
              x,
              D,
              R,
              T,
              V,
              G = this.palettes;
            return {
              primary:
                null !== (a = null == i ? void 0 : i.primary) && void 0 !== a
                  ? a
                  : G.get("P-40"),
              onPrimary:
                null !== (r = null == i ? void 0 : i.onPrimary) && void 0 !== r
                  ? r
                  : G.get("P-100"),
              primaryContainer:
                null !== (u = null == i ? void 0 : i.primaryContainer) &&
                void 0 !== u
                  ? u
                  : G.get("P-90"),
              onPrimaryContainer:
                null !== (c = null == i ? void 0 : i.onPrimaryContainer) &&
                void 0 !== c
                  ? c
                  : G.get("P-10"),
              secondary:
                null !== (s = null == i ? void 0 : i.secondary) && void 0 !== s
                  ? s
                  : G.get("S-40"),
              onSecondary:
                null !== (m = null == i ? void 0 : i.onSecondary) &&
                void 0 !== m
                  ? m
                  : G.get("S-100"),
              secondaryContainer:
                null !== (d = null == i ? void 0 : i.secondaryContainer) &&
                void 0 !== d
                  ? d
                  : G.get("S-90"),
              onSecondaryContainer:
                null !== (g = null == i ? void 0 : i.onSecondaryContainer) &&
                void 0 !== g
                  ? g
                  : G.get("S-10"),
              tertiary:
                null !== (h = null == i ? void 0 : i.tertiary) && void 0 !== h
                  ? h
                  : G.get("T-40"),
              onTertiary:
                null !== (v = null == i ? void 0 : i.onTertiary) && void 0 !== v
                  ? v
                  : G.get("T-100"),
              tertiaryContainer:
                null !== (p = null == i ? void 0 : i.tertiaryContainer) &&
                void 0 !== p
                  ? p
                  : G.get("T-90"),
              onTertiaryContainer:
                null !== (f = null == i ? void 0 : i.onTertiaryContainer) &&
                void 0 !== f
                  ? f
                  : G.get("T-10"),
              error:
                null !== (F = null == i ? void 0 : i.error) && void 0 !== F
                  ? F
                  : G.get("E-40"),
              errorContainer:
                null !== (y = null == i ? void 0 : i.errorContainer) &&
                void 0 !== y
                  ? y
                  : G.get("E-90"),
              onError:
                null !== (S = null == i ? void 0 : i.onError) && void 0 !== S
                  ? S
                  : G.get("E-100"),
              onErrorContainer:
                null !== (b = null == i ? void 0 : i.onErrorContainer) &&
                void 0 !== b
                  ? b
                  : G.get("E-10"),
              background:
                null !== (C = null == i ? void 0 : i.background) && void 0 !== C
                  ? C
                  : G.get("N-99"),
              onBackground:
                null !== (E = null == i ? void 0 : i.onBackground) &&
                void 0 !== E
                  ? E
                  : G.get("N-10"),
              surface:
                null !== (M = null == i ? void 0 : i.surface) && void 0 !== M
                  ? M
                  : G.get("N-99"),
              onSurface:
                null !== (w = null == i ? void 0 : i.onSurface) && void 0 !== w
                  ? w
                  : G.get("N-10"),
              surfaceVariant:
                null !== (A = null == i ? void 0 : i.surfaceVariant) &&
                void 0 !== A
                  ? A
                  : G.get("NV-90"),
              onSurfaceVariant:
                null !== (B = null == i ? void 0 : i.onSurfaceVariant) &&
                void 0 !== B
                  ? B
                  : G.get("NV-30"),
              outline:
                null !== (x = null == i ? void 0 : i.outline) && void 0 !== x
                  ? x
                  : G.get("NV-50"),
              inverseOnSurface:
                null !== (D = null == i ? void 0 : i.inverseOnSurface) &&
                void 0 !== D
                  ? D
                  : G.get("N-95"),
              inverseSurface:
                null !== (R = null == i ? void 0 : i.inverseSurface) &&
                void 0 !== R
                  ? R
                  : G.get("N-20"),
              inversePrimary:
                null !== (T = null == i ? void 0 : i.inversePrimary) &&
                void 0 !== T
                  ? T
                  : G.get("P-80"),
              shadow:
                null !== (V = null == i ? void 0 : i.shadow) && void 0 !== V
                  ? V
                  : G.get("N-0"),
            };
          }
          get dark() {
            var n, o, l;
            const i = this.props.isBaseline
              ? null === (n = N.is1p ? e : t) || void 0 === n
                ? void 0
                : n.dark
              : null !==
                  (l =
                    null === (o = this.props.overrides) || void 0 === o
                      ? void 0
                      : o.dark) && void 0 !== l
              ? l
              : {};
            var a,
              r,
              u,
              c,
              s,
              m,
              d,
              g,
              h,
              v,
              p,
              f,
              F,
              y,
              S,
              b,
              C,
              E,
              M,
              w,
              A,
              B,
              x,
              D,
              R,
              T,
              V,
              G = this.palettes;
            return {
              primary:
                null !== (a = null == i ? void 0 : i.primary) && void 0 !== a
                  ? a
                  : G.get("P-80"),
              onPrimary:
                null !== (r = null == i ? void 0 : i.onPrimary) && void 0 !== r
                  ? r
                  : G.get("P-20"),
              primaryContainer:
                null !== (u = null == i ? void 0 : i.primaryContainer) &&
                void 0 !== u
                  ? u
                  : G.get("P-30"),
              onPrimaryContainer:
                null !== (c = null == i ? void 0 : i.onPrimaryContainer) &&
                void 0 !== c
                  ? c
                  : G.get("P-90"),
              secondary:
                null !== (s = null == i ? void 0 : i.secondary) && void 0 !== s
                  ? s
                  : G.get("S-80"),
              onSecondary:
                null !== (m = null == i ? void 0 : i.onSecondary) &&
                void 0 !== m
                  ? m
                  : G.get("S-20"),
              secondaryContainer:
                null !== (d = null == i ? void 0 : i.secondaryContainer) &&
                void 0 !== d
                  ? d
                  : G.get("S-30"),
              onSecondaryContainer:
                null !== (g = null == i ? void 0 : i.onSecondaryContainer) &&
                void 0 !== g
                  ? g
                  : G.get("S-90"),
              tertiary:
                null !== (h = null == i ? void 0 : i.tertiary) && void 0 !== h
                  ? h
                  : G.get("T-80"),
              onTertiary:
                null !== (v = null == i ? void 0 : i.onTertiary) && void 0 !== v
                  ? v
                  : G.get("T-20"),
              tertiaryContainer:
                null !== (p = null == i ? void 0 : i.tertiaryContainer) &&
                void 0 !== p
                  ? p
                  : G.get("T-30"),
              onTertiaryContainer:
                null !== (f = null == i ? void 0 : i.onTertiaryContainer) &&
                void 0 !== f
                  ? f
                  : G.get("T-90"),
              error:
                null !== (F = null == i ? void 0 : i.error) && void 0 !== F
                  ? F
                  : G.get("E-80"),
              errorContainer:
                null !== (y = null == i ? void 0 : i.errorContainer) &&
                void 0 !== y
                  ? y
                  : G.get("E-30"),
              onError:
                null !== (S = null == i ? void 0 : i.onError) && void 0 !== S
                  ? S
                  : G.get("E-20"),
              onErrorContainer:
                null !== (b = null == i ? void 0 : i.onErrorContainer) &&
                void 0 !== b
                  ? b
                  : G.get("E-90"),
              background:
                null !== (C = null == i ? void 0 : i.background) && void 0 !== C
                  ? C
                  : G.get("N-10"),
              onBackground:
                null !== (E = null == i ? void 0 : i.onBackground) &&
                void 0 !== E
                  ? E
                  : G.get("N-90"),
              surface:
                null !== (M = null == i ? void 0 : i.surface) && void 0 !== M
                  ? M
                  : G.get("N-10"),
              onSurface:
                null !== (w = null == i ? void 0 : i.onSurface) && void 0 !== w
                  ? w
                  : G.get("N-90"),
              surfaceVariant:
                null !== (A = null == i ? void 0 : i.surfaceVariant) &&
                void 0 !== A
                  ? A
                  : G.get("NV-30"),
              onSurfaceVariant:
                null !== (B = null == i ? void 0 : i.onSurfaceVariant) &&
                void 0 !== B
                  ? B
                  : G.get("NV-80"),
              outline:
                null !== (x = null == i ? void 0 : i.outline) && void 0 !== x
                  ? x
                  : G.get("NV-60"),
              inverseOnSurface:
                null !== (D = null == i ? void 0 : i.inverseOnSurface) &&
                void 0 !== D
                  ? D
                  : G.get("N-10"),
              inverseSurface:
                null !== (R = null == i ? void 0 : i.inverseSurface) &&
                void 0 !== R
                  ? R
                  : G.get("N-90"),
              inversePrimary:
                null !== (T = null == i ? void 0 : i.inversePrimary) &&
                void 0 !== T
                  ? T
                  : G.get("P-40"),
              shadow:
                null !== (V = null == i ? void 0 : i.shadow) && void 0 !== V
                  ? V
                  : G.get("N-0"),
            };
          }
          get androidLight() {
            var n,
              e,
              t,
              o,
              l,
              a,
              r,
              u,
              c,
              s,
              m,
              d,
              g,
              h,
              v,
              p,
              f,
              F,
              y,
              S,
              b,
              C,
              E,
              M,
              w,
              A,
              N,
              B,
              x,
              D,
              R,
              T,
              V,
              G,
              P,
              H,
              k,
              z,
              I,
              $,
              L,
              O,
              U,
              j,
              q,
              W,
              J,
              K,
              Q,
              X,
              Y,
              Z = this.palettes,
              _ = this.props.tones,
              nn =
                null === (n = this.props.overrides) || void 0 === n
                  ? void 0
                  : n.androidLight;
            return {
              colorAccentPrimary:
                null !==
                  (t =
                    null !==
                      (e = null == nn ? void 0 : nn.colorAccentPrimary) &&
                    void 0 !== e
                      ? e
                      : Z.get("P-90")) && void 0 !== t
                  ? t
                  : i(_.a1.tone(90)),
              colorAccentPrimaryVariant:
                null !==
                  (l =
                    null !==
                      (o =
                        null == nn ? void 0 : nn.colorAccentPrimaryVariant) &&
                    void 0 !== o
                      ? o
                      : Z.get("P-40")) && void 0 !== l
                  ? l
                  : i(_.a1.tone(40)),
              colorAccentSecondary:
                null !==
                  (r =
                    null !==
                      (a = null == nn ? void 0 : nn.colorAccentSecondary) &&
                    void 0 !== a
                      ? a
                      : Z.get("S-90")) && void 0 !== r
                  ? r
                  : i(_.a2.tone(90)),
              colorAccentSecondaryVariant:
                null !==
                  (c =
                    null !==
                      (u =
                        null == nn ? void 0 : nn.colorAccentSecondaryVariant) &&
                    void 0 !== u
                      ? u
                      : Z.get("S-40")) && void 0 !== c
                  ? c
                  : i(_.a2.tone(40)),
              colorAccentTertiary:
                null !==
                  (m =
                    null !==
                      (s = null == nn ? void 0 : nn.colorAccentTertiary) &&
                    void 0 !== s
                      ? s
                      : Z.get("T-90")) && void 0 !== m
                  ? m
                  : i(_.a3.tone(90)),
              colorAccentTertiaryVariant:
                null !==
                  (g =
                    null !==
                      (d =
                        null == nn ? void 0 : nn.colorAccentTertiaryVariant) &&
                    void 0 !== d
                      ? d
                      : Z.get("T-40")) && void 0 !== g
                  ? g
                  : i(_.a3.tone(40)),
              textColorPrimary:
                null !==
                  (v =
                    null !== (h = null == nn ? void 0 : nn.textColorPrimary) &&
                    void 0 !== h
                      ? h
                      : Z.get("N-10")) && void 0 !== v
                  ? v
                  : i(_.n1.tone(10)),
              textColorSecondary:
                null !==
                  (f =
                    null !==
                      (p = null == nn ? void 0 : nn.textColorSecondary) &&
                    void 0 !== p
                      ? p
                      : Z.get("NV-30")) && void 0 !== f
                  ? f
                  : i(_.n2.tone(30)),
              textColorTertiary:
                null !==
                  (y =
                    null !== (F = null == nn ? void 0 : nn.textColorTertiary) &&
                    void 0 !== F
                      ? F
                      : Z.get("NV-50")) && void 0 !== y
                  ? y
                  : i(_.n2.tone(50)),
              textColorPrimaryInverse:
                null !==
                  (b =
                    null !==
                      (S = null == nn ? void 0 : nn.textColorPrimaryInverse) &&
                    void 0 !== S
                      ? S
                      : Z.get("N-95")) && void 0 !== b
                  ? b
                  : i(_.n1.tone(95)),
              textColorSecondaryInverse:
                null !==
                  (E =
                    null !==
                      (C =
                        null == nn ? void 0 : nn.textColorSecondaryInverse) &&
                    void 0 !== C
                      ? C
                      : Z.get("N-80")) && void 0 !== E
                  ? E
                  : i(_.n1.tone(80)),
              textColorTertiaryInverse:
                null !==
                  (w =
                    null !==
                      (M = null == nn ? void 0 : nn.textColorTertiaryInverse) &&
                    void 0 !== M
                      ? M
                      : Z.get("N-60")) && void 0 !== w
                  ? w
                  : i(_.n1.tone(60)),
              colorBackground:
                null !==
                  (N =
                    null !== (A = null == nn ? void 0 : nn.colorBackground) &&
                    void 0 !== A
                      ? A
                      : Z.get("N-95")) && void 0 !== N
                  ? N
                  : i(_.n1.tone(95)),
              colorBackgroundFloating:
                null !==
                  (x =
                    null !==
                      (B = null == nn ? void 0 : nn.colorBackgroundFloating) &&
                    void 0 !== B
                      ? B
                      : Z.get("N-98")) && void 0 !== x
                  ? x
                  : i(_.n1.tone(98)),
              colorSurface:
                null !==
                  (R =
                    null !== (D = null == nn ? void 0 : nn.colorSurface) &&
                    void 0 !== D
                      ? D
                      : Z.get("N-98")) && void 0 !== R
                  ? R
                  : i(_.n1.tone(98)),
              colorSurfaceVariant:
                null !==
                  (V =
                    null !==
                      (T = null == nn ? void 0 : nn.colorSurfaceVariant) &&
                    void 0 !== T
                      ? T
                      : Z.get("N-90")) && void 0 !== V
                  ? V
                  : i(_.n1.tone(90)),
              colorSurfaceHighlight:
                null !==
                  (P =
                    null !==
                      (G = null == nn ? void 0 : nn.colorSurfaceHighlight) &&
                    void 0 !== G
                      ? G
                      : Z.get("N-100")) && void 0 !== P
                  ? P
                  : i(_.n1.tone(100)),
              surfaceHeader:
                null !==
                  (k =
                    null !== (H = null == nn ? void 0 : nn.surfaceHeader) &&
                    void 0 !== H
                      ? H
                      : Z.get("N-90")) && void 0 !== k
                  ? k
                  : i(_.n1.tone(90)),
              underSurface:
                null !==
                  (I =
                    null !== (z = null == nn ? void 0 : nn.underSurface) &&
                    void 0 !== z
                      ? z
                      : Z.get("N-0")) && void 0 !== I
                  ? I
                  : i(_.n1.tone(0)),
              offState:
                null !==
                  (L =
                    null !== ($ = null == nn ? void 0 : nn.offState) &&
                    void 0 !== $
                      ? $
                      : Z.get("N-20")) && void 0 !== L
                  ? L
                  : i(_.n1.tone(20)),
              accentSurface:
                null !==
                  (U =
                    null !== (O = null == nn ? void 0 : nn.accentSurface) &&
                    void 0 !== O
                      ? O
                      : Z.get("NV-95")) && void 0 !== U
                  ? U
                  : i(_.a2.tone(95)),
              textPrimaryOnAccent:
                null !==
                  (q =
                    null !==
                      (j = null == nn ? void 0 : nn.textPrimaryOnAccent) &&
                    void 0 !== j
                      ? j
                      : Z.get("N-10")) && void 0 !== q
                  ? q
                  : i(_.n1.tone(10)),
              textSecondaryOnAccent:
                null !==
                  (J =
                    null !==
                      (W = null == nn ? void 0 : nn.textSecondaryOnAccent) &&
                    void 0 !== W
                      ? W
                      : Z.get("NV-30")) && void 0 !== J
                  ? J
                  : i(_.n2.tone(30)),
              volumeBackground:
                null !==
                  (Q =
                    null !== (K = null == nn ? void 0 : nn.volumeBackground) &&
                    void 0 !== K
                      ? K
                      : Z.get("N-25")) && void 0 !== Q
                  ? Q
                  : i(_.n1.tone(25)),
              scrim:
                null !==
                  (Y =
                    null !== (X = null == nn ? void 0 : nn.scrim) &&
                    void 0 !== X
                      ? X
                      : Z.get("N-80")) && void 0 !== Y
                  ? Y
                  : i(_.n1.tone(80)),
            };
          }
          get androidDark() {
            var n,
              e,
              t,
              o,
              l,
              a,
              r,
              u,
              c,
              s,
              m,
              d,
              g,
              h,
              v,
              p,
              f,
              F,
              y,
              S,
              b,
              C,
              E,
              M,
              w,
              A,
              N,
              B,
              x,
              D,
              R,
              T,
              V,
              G,
              P,
              H,
              k,
              z,
              I,
              $,
              L,
              O,
              U,
              j,
              q,
              W,
              J,
              K,
              Q,
              X,
              Y,
              Z = this.palettes,
              _ = this.props.tones,
              nn =
                null === (n = this.props.overrides) || void 0 === n
                  ? void 0
                  : n.androidDark;
            return {
              colorAccentPrimary:
                null !==
                  (t =
                    null !==
                      (e = null == nn ? void 0 : nn.colorAccentPrimary) &&
                    void 0 !== e
                      ? e
                      : Z.get("P-90")) && void 0 !== t
                  ? t
                  : i(_.a1.tone(90)),
              colorAccentPrimaryVariant:
                null !==
                  (l =
                    null !==
                      (o =
                        null == nn ? void 0 : nn.colorAccentPrimaryVariant) &&
                    void 0 !== o
                      ? o
                      : Z.get("P-70")) && void 0 !== l
                  ? l
                  : i(_.a1.tone(70)),
              colorAccentSecondary:
                null !==
                  (r =
                    null !==
                      (a = null == nn ? void 0 : nn.colorAccentSecondary) &&
                    void 0 !== a
                      ? a
                      : Z.get("S-90")) && void 0 !== r
                  ? r
                  : i(_.a2.tone(90)),
              colorAccentSecondaryVariant:
                null !==
                  (c =
                    null !==
                      (u =
                        null == nn ? void 0 : nn.colorAccentSecondaryVariant) &&
                    void 0 !== u
                      ? u
                      : Z.get("S-70")) && void 0 !== c
                  ? c
                  : i(_.a2.tone(70)),
              colorAccentTertiary:
                null !==
                  (m =
                    null !==
                      (s = null == nn ? void 0 : nn.colorAccentTertiary) &&
                    void 0 !== s
                      ? s
                      : Z.get("T-90")) && void 0 !== m
                  ? m
                  : i(_.a3.tone(90)),
              colorAccentTertiaryVariant:
                null !==
                  (g =
                    null !==
                      (d =
                        null == nn ? void 0 : nn.colorAccentTertiaryVariant) &&
                    void 0 !== d
                      ? d
                      : Z.get("T-70")) && void 0 !== g
                  ? g
                  : i(_.a3.tone(70)),
              textColorPrimary:
                null !==
                  (v =
                    null !== (h = null == nn ? void 0 : nn.textColorPrimary) &&
                    void 0 !== h
                      ? h
                      : Z.get("N-95")) && void 0 !== v
                  ? v
                  : i(_.n1.tone(95)),
              textColorSecondary:
                null !==
                  (f =
                    null !==
                      (p = null == nn ? void 0 : nn.textColorSecondary) &&
                    void 0 !== p
                      ? p
                      : Z.get("NV-80")) && void 0 !== f
                  ? f
                  : i(_.n2.tone(80)),
              textColorTertiary:
                null !==
                  (y =
                    null !== (F = null == nn ? void 0 : nn.textColorTertiary) &&
                    void 0 !== F
                      ? F
                      : Z.get("NV-60")) && void 0 !== y
                  ? y
                  : i(_.n2.tone(60)),
              textColorPrimaryInverse:
                null !==
                  (b =
                    null !==
                      (S = null == nn ? void 0 : nn.textColorPrimaryInverse) &&
                    void 0 !== S
                      ? S
                      : Z.get("N-10")) && void 0 !== b
                  ? b
                  : i(_.n1.tone(10)),
              textColorSecondaryInverse:
                null !==
                  (E =
                    null !==
                      (C =
                        null == nn ? void 0 : nn.textColorSecondaryInverse) &&
                    void 0 !== C
                      ? C
                      : Z.get("N-30")) && void 0 !== E
                  ? E
                  : i(_.n1.tone(30)),
              textColorTertiaryInverse:
                null !==
                  (w =
                    null !==
                      (M = null == nn ? void 0 : nn.textColorTertiaryInverse) &&
                    void 0 !== M
                      ? M
                      : Z.get("N-50")) && void 0 !== w
                  ? w
                  : i(_.n1.tone(50)),
              colorBackground:
                null !==
                  (N =
                    null !== (A = null == nn ? void 0 : nn.colorBackground) &&
                    void 0 !== A
                      ? A
                      : Z.get("N-10")) && void 0 !== N
                  ? N
                  : i(_.n1.tone(10)),
              colorBackgroundFloating:
                null !==
                  (x =
                    null !==
                      (B = null == nn ? void 0 : nn.colorBackgroundFloating) &&
                    void 0 !== B
                      ? B
                      : Z.get("N-10")) && void 0 !== x
                  ? x
                  : i(_.n1.tone(10)),
              colorSurface:
                null !==
                  (R =
                    null !== (D = null == nn ? void 0 : nn.colorSurface) &&
                    void 0 !== D
                      ? D
                      : Z.get("N-20")) && void 0 !== R
                  ? R
                  : i(_.n1.tone(20)),
              colorSurfaceVariant:
                null !==
                  (V =
                    null !==
                      (T = null == nn ? void 0 : nn.colorSurfaceVariant) &&
                    void 0 !== T
                      ? T
                      : Z.get("N-30")) && void 0 !== V
                  ? V
                  : i(_.n1.tone(30)),
              colorSurfaceHighlight:
                null !==
                  (P =
                    null !==
                      (G = null == nn ? void 0 : nn.colorSurfaceHighlight) &&
                    void 0 !== G
                      ? G
                      : Z.get("N-35")) && void 0 !== P
                  ? P
                  : i(_.n1.tone(35)),
              surfaceHeader:
                null !==
                  (k =
                    null !== (H = null == nn ? void 0 : nn.surfaceHeader) &&
                    void 0 !== H
                      ? H
                      : Z.get("N-30")) && void 0 !== k
                  ? k
                  : i(_.n1.tone(30)),
              underSurface:
                null !==
                  (I =
                    null !== (z = null == nn ? void 0 : nn.underSurface) &&
                    void 0 !== z
                      ? z
                      : Z.get("N-0")) && void 0 !== I
                  ? I
                  : i(_.n1.tone(0)),
              offState:
                null !==
                  (L =
                    null !== ($ = null == nn ? void 0 : nn.offState) &&
                    void 0 !== $
                      ? $
                      : Z.get("N-20")) && void 0 !== L
                  ? L
                  : i(_.n1.tone(20)),
              accentSurface:
                null !==
                  (U =
                    null !== (O = null == nn ? void 0 : nn.accentSurface) &&
                    void 0 !== O
                      ? O
                      : Z.get("NV-95")) && void 0 !== U
                  ? U
                  : i(_.a2.tone(95)),
              textPrimaryOnAccent:
                null !==
                  (q =
                    null !==
                      (j = null == nn ? void 0 : nn.textPrimaryOnAccent) &&
                    void 0 !== j
                      ? j
                      : Z.get("N-10")) && void 0 !== q
                  ? q
                  : i(_.n1.tone(10)),
              textSecondaryOnAccent:
                null !==
                  (J =
                    null !==
                      (W = null == nn ? void 0 : nn.textSecondaryOnAccent) &&
                    void 0 !== W
                      ? W
                      : Z.get("NV-30")) && void 0 !== J
                  ? J
                  : i(_.n2.tone(30)),
              volumeBackground:
                null !==
                  (Q =
                    null !== (K = null == nn ? void 0 : nn.volumeBackground) &&
                    void 0 !== K
                      ? K
                      : Z.get("N-25")) && void 0 !== Q
                  ? Q
                  : i(_.n1.tone(25)),
              scrim:
                null !==
                  (Y =
                    null !== (X = null == nn ? void 0 : nn.scrim) &&
                    void 0 !== X
                      ? X
                      : Z.get("N-80")) && void 0 !== Y
                  ? Y
                  : i(_.n1.tone(80)),
            };
          }
          get tonalGroups() {
            return Object.assign(
              {
                primary: this.primaryGroup,
                secondary: this.secondaryGroup,
                tertiary: this.tertiaryGroup,
                neutral: this.neutralGroup,
                neutralVariant: this.neutralVariantGroup,
                error: this.errorGroup,
              },
              this.props.overrides.tonalGroups
            );
          }
          get primaryGroup() {
            return a(this, "primary", this.props.tones.a1);
          }
          get secondaryGroup() {
            return a(this, "secondary", this.props.tones.a2);
          }
          get tertiaryGroup() {
            return a(this, "tertiary", this.props.tones.a3);
          }
          get neutralGroup() {
            return a(this, "neutral", this.props.tones.n1);
          }
          get neutralVariantGroup() {
            return a(this, "neutralVariant", this.props.tones.n2);
          }
          get errorGroup() {
            return a(this, "error", this.props.tones.error);
          }
          get primary() {
            return r("P", this.primaryGroup);
          }
          get secondary() {
            return r("S", this.secondaryGroup);
          }
          get tertiary() {
            return r("T", this.tertiaryGroup);
          }
          get neutral() {
            return r("N", this.neutralGroup);
          }
          get neutralVariant() {
            return r("NV", this.neutralVariantGroup);
          }
          get error() {
            return r("E", this.errorGroup);
          }
          get palettes() {
            let n = [];
            return (
              (n = n.concat(Array.from(this.primary.entries()))),
              (n = n.concat(Array.from(this.secondary.entries()))),
              (n = n.concat(Array.from(this.tertiary.entries()))),
              (n = n.concat(Array.from(this.neutral.entries()))),
              (n = n.concat(Array.from(this.neutralVariant.entries()))),
              (n = n.concat(Array.from(this.error.entries()))),
              new Map(n)
            );
          }
          get seedValue() {
            return this.props.seed;
          }
          get source() {
            var n, e, t, l, i, a;
            const r = this.palettes,
              u = this.props.overrides.source;
            return Object.assign(Object.assign({}, u), {
              seed: this.seedValue,
              imageUrl: this.imageUrl,
              primary:
                null !== (n = null == u ? void 0 : u.primary) && void 0 !== n
                  ? n
                  : o(this, "P", r),
              secondary:
                null !== (e = null == u ? void 0 : u.secondary) && void 0 !== e
                  ? e
                  : o(this, "S", r),
              tertiary:
                null !== (t = null == u ? void 0 : u.tertiary) && void 0 !== t
                  ? t
                  : o(this, "T", r),
              neutral:
                null !== (l = null == u ? void 0 : u.neutral) && void 0 !== l
                  ? l
                  : o(this, "N", r),
              neutralVariant:
                null !== (i = null == u ? void 0 : u.neutralVariant) &&
                void 0 !== i
                  ? i
                  : o(this, "NV", r),
              error:
                null !== (a = null == u ? void 0 : u.error) && void 0 !== a
                  ? a
                  : o(this, "E", r),
            });
          }
          get customColors() {
            var n, e;
            return [
              ...(null !==
                (e =
                  null === (n = this.props.overrides) || void 0 === n
                    ? void 0
                    : n.customColors) && void 0 !== e
                ? e
                : []),
            ];
          }
          save() {
            return {
              seed: this.seedValue,
              baseline: this.props.isBaseline,
              imageUrl: this.imageUrl,
              customColors: this.customColors,
              light: this.light,
              dark: this.dark,
              androidLight: N.enableAndroid ? this.androidLight : void 0,
              androidDark: N.enableAndroid ? this.androidDark : void 0,
              primary: this.primaryGroup,
              secondary: this.secondaryGroup,
              tertiary: this.tertiaryGroup,
              neutral: this.neutralGroup,
              neutralVariant: this.neutralVariantGroup,
              error: this.errorGroup,
              styles: this.styles,
              source: this.source,
            };
          }
        } {})({
          tones: s,
          seed: n,
          is3p: u,
          overrides: {},
          blend: !1,
          isBaseline: !1,
        });
      }),
    x = (n) => {
      const e = (65280 & n) >> 8,
        t = 255 & n,
        o = [
          ((16711680 & n) >> 16).toString(16),
          e.toString(16),
          t.toString(16),
        ];
      for (const [n, e] of o.entries()) {
        const t = n,
          l = e;
        1 === l.length && (o[t] = "0" + l);
      }
      return "#" + o.join("");
    },
    D = function (n) {
      let e = 0;
      for (const t of n.values()) e += t;
      const t = new Map(),
        o = new Map(),
        l = Array(360).fill(0);
      for (const [i, a] of n.entries()) {
        const n = i,
          r = a / e;
        t.set(n, r);
        const u = A(n);
        o.set(n, u), (l[Math.round(u.hue)] += r);
      }
      const i = new Map();
      for (const [n, e] of o.entries()) {
        const t = n,
          o = Math.round(e.hue);
        let a = 0;
        for (let n = o - 15; n < o + 15; n++) a += l[p(n)];
        i.set(t, a);
      }
      const a = new Map();
      for (const [n, e] of o.entries()) {
        const t = n,
          o = e,
          l = 70 * i.get(t);
        a.set(t, l + (o.chroma - 48) * (48 > o.chroma ? 0.1 : 0.3));
      }
      const r = (function (n, e) {
          const t = [];
          for (const [o, l] of e.entries()) {
            const e = o,
              i = l,
              a = n.get(e);
            15 <= i.chroma && 10 <= y(e) && 0.01 <= a && t.push(e);
          }
          return t;
        })(i, o),
        u = new Map();
      for (const n of r) {
        let e = !1;
        const t = o.get(n).hue;
        for (const [n] of u) {
          const l = o.get(n).hue;
          if (15 > 180 - Math.abs(Math.abs(t - l) - 180)) {
            e = !0;
            break;
          }
        }
        e || u.set(n, a.get(n));
      }
      const c = Array.from(u.entries());
      c.sort((n, e) => e[1] - n[1]);
      const s = c.map((n) => n[0]);
      return 0 === s.length && s.push(4282549748), s;
    };
  class R {
    constructor() {
      this.index = this.distance = -1;
    }
  }
  const T = (n) => {
    const e = 216 / 24389,
      t = 24389 / 27,
      o = 100 * w(((16711680 & n) >> 16) / 255),
      l = 100 * w(((65280 & n) >> 8) / 255),
      i = 100 * w((255 & n) / 255),
      a = (0.2126 * o + 0.7152 * l + 0.0722 * i) / E[1];
    let r;
    r = a > e ? Math.pow(a, 1 / 3) : (t * a + 16) / 116;
    const u = (0.41233895 * o + 0.35762064 * l + 0.18051042 * i) / E[0],
      c = (0.01932141 * o + 0.11916382 * l + 0.95034478 * i) / E[2];
    return [
      116 * r - 16,
      500 * ((u > e ? Math.pow(u, 1 / 3) : (t * u + 16) / 116) - r),
      200 * (r - (c > e ? Math.pow(c, 1 / 3) : (t * c + 16) / 116)),
    ];
  };
  class V {
    constructor(n) {
      this.resultCount = n;
    }
  }
  const G = function (n, e) {
    const t = n.volume(e, n.momentsR),
      o = n.volume(e, n.momentsG),
      l = n.volume(e, n.momentsB);
    return (
      n.moments[I(e.r1, e.g1, e.b1)] -
      n.moments[I(e.r1, e.g1, e.b0)] -
      n.moments[I(e.r1, e.g0, e.b1)] +
      n.moments[I(e.r1, e.g0, e.b0)] -
      n.moments[I(e.r0, e.g1, e.b1)] +
      n.moments[I(e.r0, e.g1, e.b0)] +
      n.moments[I(e.r0, e.g0, e.b1)] -
      n.moments[I(e.r0, e.g0, e.b0)] -
      (t * t + o * o + l * l) / n.volume(e, n.weights)
    );
  };
  class P {
    constructor(n, e) {
      (this.cutLocation = n), (this.maximum = e);
    }
  }
  const H = function (n, e, t, o, l, i, a, r, u) {
      const c = n.bottom(e, t, n.momentsR),
        s = n.bottom(e, t, n.momentsG),
        m = n.bottom(e, t, n.momentsB),
        d = n.bottom(e, t, n.weights);
      let g,
        h,
        v,
        p,
        f = 0,
        F = -1;
      for (let y = o; y < l; y++) {
        if (
          ((g = c + n.top(e, t, y, n.momentsR)),
          (h = s + n.top(e, t, y, n.momentsG)),
          (v = m + n.top(e, t, y, n.momentsB)),
          (p = d + n.top(e, t, y, n.weights)),
          0 === p)
        )
          continue;
        let o = g * g + h * h + v * v,
          l = 1 * p,
          S = o / l;
        (g = i - g),
          (h = a - h),
          (v = r - v),
          (p = u - p),
          0 !== p &&
            ((o = g * g + h * h + v * v),
            (l = 1 * p),
            (S += o / l),
            S > f && ((f = S), (F = y)));
      }
      return new P(F, f);
    },
    k = function (n, e, t) {
      const o = n.volume(e, n.momentsR),
        l = n.volume(e, n.momentsG),
        i = n.volume(e, n.momentsB),
        a = n.volume(e, n.weights),
        r = H(n, e, "red", e.r0 + 1, e.r1, o, l, i, a),
        u = H(n, e, "green", e.g0 + 1, e.g1, o, l, i, a),
        c = H(n, e, "blue", e.b0 + 1, e.b1, o, l, i, a);
      let s;
      const m = r.maximum,
        d = u.maximum,
        g = c.maximum;
      if (m >= d && m >= g) {
        if (0 > r.cutLocation) return !1;
        s = "red";
      } else s = d >= m && d >= g ? "green" : "blue";
      switch (((t.r1 = e.r1), (t.g1 = e.g1), (t.b1 = e.b1), s)) {
        case "red":
          (e.r1 = r.cutLocation), (t.r0 = e.r1), (t.g0 = e.g0), (t.b0 = e.b0);
          break;
        case "green":
          (e.g1 = u.cutLocation), (t.r0 = e.r0), (t.g0 = e.g1), (t.b0 = e.b0);
          break;
        case "blue":
          (e.b1 = c.cutLocation), (t.r0 = e.r0), (t.g0 = e.g0), (t.b0 = e.b1);
          break;
        default:
          throw Error("unexpected direction " + s);
      }
      return (
        (e.vol = (e.r1 - e.r0) * (e.g1 - e.g0) * (e.b1 - e.b0)),
        (t.vol = (t.r1 - t.r0) * (t.g1 - t.g0) * (t.b1 - t.b0)),
        !0
      );
    };
  class z {
    constructor() {
      this.vol = this.b1 = this.b0 = this.g1 = this.g0 = this.r1 = this.r0 = 0;
    }
  }
  const I = function (n, e, t) {
      return (n << 10) + (n << 6) + n + (e << 5) + e + t;
    },
    $ = class {};
  class L extends $ {
    constructor(n) {
      super(), (this.privateDoNotAccessOrElseWrappedUrl = n);
    }
    toString() {
      return this.privateDoNotAccessOrElseWrappedUrl;
    }
  }
  const O = async function (n) {
      const e = (function (n) {
          const e = n.type.match(/^([^;]+)(?:;\w+=(?:\w+|"[\w;,= ]+"))*$/i);
          if (
            2 !== (null == e ? void 0 : e.length) ||
            !(
              /^image\/(?:bmp|gif|jpeg|jpg|png|tiff|webp|x-icon)$/i.test(
                e[1]
              ) ||
              /^video\/(?:mpeg|mp4|ogg|webm|x-matroska|quicktime|x-ms-wmv)$/i.test(
                e[1]
              ) ||
              /^audio\/(?:3gpp2|3gpp|aac|L16|midi|mp3|mp4|mpeg|oga|ogg|opus|x-m4a|x-matroska|x-wav|wav|webm)$/i.test(
                e[1]
              )
            )
          )
            throw Error(`unsafe blob MIME type: ${n.type}`);
          return new L(URL.createObjectURL(n));
        })(new Blob([n], { type: "image/png" })),
        t = await new Promise((n, t) => {
          const o = new Image();
          (o.onload = () => {
            n(o);
          }),
            (o.onerror = () => {
              t();
            }),
            (o.src = (function (n) {
              if (n instanceof $) {
                if (!(n instanceof L))
                  throw Error("Unexpected type when unwrapping SafeUrl");
                var e = n.privateDoNotAccessOrElseWrappedUrl;
              } else e = unwrap(n);
              return e;
            })(e));
        }),
        o = document.createElement("canvas").getContext("2d");
      return (
        (o.canvas.width = 112),
        (o.canvas.height = 112),
        o.drawImage(
          t,
          0,
          0,
          t.width,
          t.height,
          0,
          0,
          o.canvas.width,
          o.canvas.height
        ),
        o.getImageData(0, 0, t.width, t.height)
      );
    },
    U = async function (n) {
      const e = "string" == typeof n ? await (await fetch(n)).arrayBuffer() : n;
      var t,
        o,
        l = await (async function (n) {
          const e = new Uint8Array(n),
            t = await O(e),
            o = [];
          for (let n = 0; n < t.data.length; n += 4)
            255 > t.data[n + 3] ||
              o.push(m([t.data[n], t.data[n + 1], t.data[n + 2]]));
          return o;
        })(e),
        i = new (class {
          constructor() {
            (this.weights = []),
              (this.momentsR = []),
              (this.momentsG = []),
              (this.momentsB = []),
              (this.moments = []),
              (this.cubes = []);
          }
          volume(n, e) {
            return (
              e[I(n.r1, n.g1, n.b1)] -
              e[I(n.r1, n.g1, n.b0)] -
              e[I(n.r1, n.g0, n.b1)] +
              e[I(n.r1, n.g0, n.b0)] -
              e[I(n.r0, n.g1, n.b1)] +
              e[I(n.r0, n.g1, n.b0)] +
              e[I(n.r0, n.g0, n.b1)] -
              e[I(n.r0, n.g0, n.b0)]
            );
          }
          bottom(n, e, t) {
            switch (e) {
              case "red":
                return (
                  -t[I(n.r0, n.g1, n.b1)] +
                  t[I(n.r0, n.g1, n.b0)] +
                  t[I(n.r0, n.g0, n.b1)] -
                  t[I(n.r0, n.g0, n.b0)]
                );
              case "green":
                return (
                  -t[I(n.r1, n.g0, n.b1)] +
                  t[I(n.r1, n.g0, n.b0)] +
                  t[I(n.r0, n.g0, n.b1)] -
                  t[I(n.r0, n.g0, n.b0)]
                );
              case "blue":
                return (
                  -t[I(n.r1, n.g1, n.b0)] +
                  t[I(n.r1, n.g0, n.b0)] +
                  t[I(n.r0, n.g1, n.b0)] -
                  t[I(n.r0, n.g0, n.b0)]
                );
              default:
                throw Error("unexpected direction $direction");
            }
          }
          top(n, e, t, o) {
            switch (e) {
              case "red":
                return (
                  o[I(t, n.g1, n.b1)] -
                  o[I(t, n.g1, n.b0)] -
                  o[I(t, n.g0, n.b1)] +
                  o[I(t, n.g0, n.b0)]
                );
              case "green":
                return (
                  o[I(n.r1, t, n.b1)] -
                  o[I(n.r1, t, n.b0)] -
                  o[I(n.r0, t, n.b1)] +
                  o[I(n.r0, t, n.b0)]
                );
              case "blue":
                return (
                  o[I(n.r1, n.g1, t)] -
                  o[I(n.r1, n.g0, t)] -
                  o[I(n.r0, n.g1, t)] +
                  o[I(n.r0, n.g0, t)]
                );
              default:
                throw Error("unexpected direction $direction");
            }
          }
        })();
      (i.weights = Array.from({ length: 35937 }).fill(0)),
        (i.momentsR = Array.from({ length: 35937 }).fill(0)),
        (i.momentsG = Array.from({ length: 35937 }).fill(0)),
        (i.momentsB = Array.from({ length: 35937 }).fill(0)),
        (i.moments = Array.from({ length: 35937 }).fill(0));
      const a = new Map();
      for (let n = 0; n < l.length; n++) {
        const e = l[n];
        255 > ((4278190080 & e) >> 24) >>> 0 ||
          a.set(e, (null !== (o = a.get(e)) && void 0 !== o ? o : 0) + 1);
      }
      for (const [n, e] of a.entries()) {
        const o = e,
          l = (16711680 & n) >> 16,
          a = (65280 & n) >> 8,
          r = 255 & n,
          u = I(1 + (l >> 3), 1 + (a >> 3), 1 + (r >> 3));
        (i.weights[u] =
          (null !== (t = i.weights[u]) && void 0 !== t ? t : 0) + o),
          (i.momentsR[u] += o * l),
          (i.momentsG[u] += o * a),
          (i.momentsB[u] += o * r),
          (i.moments[u] += o * (l * l + a * a + r * r));
      }
      for (let n = 1; 33 > n; n++) {
        const e = Array.from({ length: 33 }).fill(0),
          t = Array.from({ length: 33 }).fill(0),
          o = Array.from({ length: 33 }).fill(0),
          l = Array.from({ length: 33 }).fill(0),
          a = Array.from({ length: 33 }).fill(0);
        for (let r = 1; 33 > r; r++) {
          let u = 0,
            c = 0,
            s = 0,
            m = 0,
            d = 0;
          for (let g = 1; 33 > g; g++) {
            const h = I(n, r, g);
            (u += i.weights[h]),
              (c += i.momentsR[h]),
              (s += i.momentsG[h]),
              (m += i.momentsB[h]),
              (d += i.moments[h]),
              (e[g] += u),
              (t[g] += c),
              (o[g] += s),
              (l[g] += m),
              (a[g] += d);
            const v = I(n - 1, r, g);
            (i.weights[h] = i.weights[v] + e[g]),
              (i.momentsR[h] = i.momentsR[v] + t[g]),
              (i.momentsG[h] = i.momentsG[v] + o[g]),
              (i.momentsB[h] = i.momentsB[v] + l[g]),
              (i.moments[h] = i.moments[v] + a[g]);
          }
        }
      }
      var r = (function (n) {
        n.cubes = Array.from({ length: 256 })
          .fill(0)
          .map(() => new z());
        const e = Array.from({ length: 256 }).fill(0);
        (n.cubes[0].r0 = 0),
          (n.cubes[0].g0 = 0),
          (n.cubes[0].b0 = 0),
          (n.cubes[0].r1 = 32),
          (n.cubes[0].g1 = 32),
          (n.cubes[0].b1 = 32);
        let t = 256,
          o = 0;
        for (let l = 1; 256 > l; l++) {
          k(n, n.cubes[o], n.cubes[l])
            ? ((e[o] = 1 < n.cubes[o].vol ? G(n, n.cubes[o]) : 0),
              (e[l] = 1 < n.cubes[l].vol ? G(n, n.cubes[l]) : 0))
            : ((e[o] = 0), l--),
            (o = 0);
          let i = e[0];
          for (let n = 1; n <= l; n++) e[n] > i && ((i = e[n]), (o = n));
          if (0 >= i) {
            t = l + 1;
            break;
          }
        }
        return new V(t);
      })(i).resultCount;
      const u = [];
      for (let n = 0; n < r; ++n) {
        const e = i.cubes[n],
          t = i.volume(e, i.weights);
        if (0 < t) {
          const n = Math.round(i.volume(e, i.momentsR) / t),
            o = Math.round(i.volume(e, i.momentsG) / t),
            l = Math.round(i.volume(e, i.momentsB) / t);
          u.push(-16777216 | ((255 & n) << 16) | ((255 & o) << 8) | (255 & l));
        }
      }
      const c = new Map(),
        s = [],
        g = [],
        h = new (class {
          toInt(n) {
            var e = n[0];
            const t = 216 / 24389,
              o = 24389 / 27,
              l = (e + 16) / 116,
              i = n[1] / 500 + l,
              a = l - n[2] / 200,
              r = i * i * i,
              u = a * a * a;
            var c = [
              (r > t ? r : (116 * i - 16) / o) * E[0],
              (8 < e ? l * l * l : e / o) * E[1],
              (u > t ? u : (116 * a - 16) / o) * E[2],
            ];
            return d(c[0], c[1], c[2]);
          }
          distance(n, e) {
            const t = n[0] - e[0],
              o = n[1] - e[1],
              l = n[2] - e[2];
            return t * t + o * o + l * l;
          }
        })();
      let v = 0;
      for (let n = 0; n < l.length; n++) {
        const e = l[n],
          t = c.get(e);
        void 0 === t
          ? (v++, s.push(T(e)), g.push(e), c.set(e, 1))
          : c.set(e, t + 1);
      }
      const p = [];
      for (let n = 0; n < v; n++) {
        const e = c.get(g[n]);
        void 0 !== e && (p[n] = e);
      }
      let f = Math.min(256, v);
      0 < u.length && (f = Math.min(f, u.length));
      const F = [];
      for (let n = 0; n < u.length; n++) F.push(T(u[n]));
      const y = f - F.length;
      if (0 === u.length && 0 < y)
        for (let n = 0; n < y; n++)
          F.push([
            100 * Math.random(),
            201 * Math.random() - 100,
            201 * Math.random() - 100,
          ]);
      const S = [];
      for (let n = 0; n < v; n++) S.push(Math.floor(Math.random() * f));
      const b = [];
      for (let n = 0; n < f; n++) {
        b.push([]);
        for (let e = 0; e < f; e++) b[n].push(0);
      }
      const C = [];
      for (let n = 0; n < f; n++) {
        C.push([]);
        for (let e = 0; e < f; e++) C[n].push(new R());
      }
      const M = [];
      for (let n = 0; n < f; n++) M.push(0);
      for (let n = 0; 10 > n; n++) {
        for (let n = 0; n < f; n++) {
          for (let e = n + 1; e < f; e++) {
            const t = h.distance(F[n], F[e]);
            (C[e][n].distance = t),
              (C[e][n].index = n),
              (C[n][e].distance = t),
              (C[n][e].index = e);
          }
          C[n].sort();
          for (let e = 0; e < f; e++) b[n][e] = C[n][e].index;
        }
        let e = 0;
        for (let n = 0; n < v; n++) {
          const t = s[n],
            o = S[n],
            l = h.distance(t, F[o]);
          let i = l,
            a = -1;
          for (let n = 0; n < f; n++) {
            if (C[o][n].distance >= 4 * l) continue;
            const e = h.distance(t, F[n]);
            e < i && ((i = e), (a = n));
          }
          -1 !== a &&
            3 < Math.abs(Math.sqrt(i) - Math.sqrt(l)) &&
            (e++, (S[n] = a));
        }
        if (0 === e && 0 !== n) break;
        const t = Array(f).fill(0),
          o = Array(f).fill(0),
          l = Array(f).fill(0);
        for (let n = 0; n < f; n++) M[n] = 0;
        for (let n = 0; n < v; n++) {
          const e = S[n],
            i = s[n],
            a = p[n];
          (M[e] += a),
            (t[e] += i[0] * a),
            (o[e] += i[1] * a),
            (l[e] += i[2] * a);
        }
        for (let n = 0; n < f; n++) {
          const e = M[n];
          F[n] = 0 === e ? [0, 0, 0] : [t[n] / e, o[n] / e, l[n] / e];
        }
      }
      const w = new Map();
      for (let n = 0; n < f; n++) {
        const e = M[n];
        if (0 === e) continue;
        const t = h.toInt(F[n]);
        w.has(t) || w.set(t, e);
      }
      const A = D(w);
      return x(A[0]);
    };
  return (
    (n.materialDynamicColors = async function (n) {
      if (/\#[a-fA-F0-9]{6}/.test(n)) {
        let e = B(n);
        return { light: e.light, dark: e.dark };
      }
      let e = n;
      (n instanceof Blob || n instanceof File) && (e = URL.createObjectURL(n)),
        n.target &&
          n.target.files[0] &&
          (e = URL.createObjectURL(n.target.files[0])),
        n.files && n.files[0] && (e = URL.createObjectURL(n.files[0]));
      let t = await U(e),
        o = B(t);
      return { light: o.light, dark: o.dark };
    }),
    n.materialDynamicColors
  );
})();
